# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "meridian"
version = "0.1.4"
build = false
exclude = [
    ".env",
    ".env.*",
    "**/.env",
    "**/.env.*",
]
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Meridian is a framework for building local first, context aware applications with LLM powered agents."
readme = "README.md"
license = "MIT"

[lib]
name = "meridian"
path = "src/lib.rs"

[[test]]
name = "mod"
path = "tests/mod.rs"

[dependencies.anyhow]
version = "1.0.93"

[dependencies.bincode]
version = "1.3.3"

[dependencies.chrono]
version = "0.4.38"
features = ["serde"]

[dependencies.clap]
version = "4.5.21"

[dependencies.dirs]
version = "5.0.1"

[dependencies.dotenvy]
version = "0.15.7"

[dependencies.fern]
version = "0.7.0"
features = [
    "chrono",
    "colored",
]

[dependencies.headless_chrome]
version = "1.0.15"

[dependencies.humantime]
version = "2.1.0"

[dependencies.inquire]
version = "0.6"

[dependencies.log]
version = "0.4.22"

[dependencies.notify-rust]
version = "4.11.3"
features = ["chrono"]

[dependencies.regex]
version = "1.11.1"

[dependencies.reqwest]
version = "0.12.9"
features = [
    "json",
    "blocking",
]

[dependencies.resend-rs]
version = "0.9.2"

[dependencies.schemars]
version = "0.8.21"
features = ["chrono"]

[dependencies.scraper]
version = "0.21.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.133"

[dependencies.serial_test]
version = "3.2.0"

[dependencies.spinners]
version = "4.1.1"

[dependencies.tempfile]
version = "3.14.0"

[dependencies.tokio]
version = "1.0"
features = [
    "full",
    "macros",
    "rt-multi-thread",
]

[dependencies.toml]
version = "0.8.19"

[dependencies.uuid]
version = "1.11.0"
features = [
    "serde",
    "v4",
]
